# Uses of Class
java.sql.Date

Packages that use Date
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of Date in java.sql

Methods in java.sql that return Date
Modifier and Type
Method
Description
`Date`
CallableStatement.`getDate​(int parameterIndex)`
Retrieves the value of the designated JDBC `DATE` parameter as a `java.sql.Date` object.
`Date`
CallableStatement.`getDate​(int parameterIndex, Calendar cal)`
Retrieves the value of the designated JDBC `DATE` parameter as a `java.sql.Date` object, using the given `Calendar` object to construct the date.
`Date`
CallableStatement.`getDate​(String parameterName)`
Retrieves the value of a JDBC `DATE` parameter as a `java.sql.Date` object.
`Date`
CallableStatement.`getDate​(String parameterName, Calendar cal)`
Retrieves the value of a JDBC `DATE` parameter as a `java.sql.Date` object, using the given `Calendar` object to construct the date.
`Date`
ResultSet.`getDate​(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
`Date`
ResultSet.`getDate​(int columnIndex, Calendar cal)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
`Date`
ResultSet.`getDate​(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
`Date`
ResultSet.`getDate​(String columnLabel, Calendar cal)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `java.sql.Date` object in the Java programming language.
`Date`
SQLInput.`readDate()`
Reads the next attribute in the stream and returns it as a `java.sql.Date` object.
`static Date`
Date.`valueOf​(String s)`
Converts a string in JDBC date escape format to a `Date` value.
`static Date`
Date.`valueOf​(LocalDate date)`
Obtains an instance of `Date` from a `LocalDate` object with the same year, month and day of month value as the given `LocalDate`.
Methods in java.sql with parameters of type Date
Modifier and Type
Method
Description
`void`
CallableStatement.`setDate​(String parameterName, Date x)`
Sets the designated parameter to the given `java.sql.Date` value using the default time zone of the virtual machine that is running the application.
`void`
CallableStatement.`setDate​(String parameterName, Date x, Calendar cal)`
Sets the designated parameter to the given `java.sql.Date` value, using the given `Calendar` object.
`void`
PreparedStatement.`setDate​(int parameterIndex, Date x)`
Sets the designated parameter to the given `java.sql.Date` value using the default time zone of the virtual machine that is running the application.
`void`
PreparedStatement.`setDate​(int parameterIndex, Date x, Calendar cal)`
Sets the designated parameter to the given `java.sql.Date` value, using the given `Calendar` object.
`void`
ResultSet.`updateDate​(int columnIndex, Date x)`
Updates the designated column with a `java.sql.Date` value.
`void`
ResultSet.`updateDate​(String columnLabel, Date x)`
Updates the designated column with a `java.sql.Date` value.
`void`
SQLOutput.`writeDate​(Date x)`
Writes the next attribute to the stream as a java.sql.Date object.

## Uses of Date in javax.sql

Methods in javax.sql with parameters of type Date
Modifier and Type
Method
Description
`void`
RowSet.`setDate​(int parameterIndex, Date x)`
Sets the designated parameter in this `RowSet` object's command to the given `java.sql.Date` value.
`void`
RowSet.`setDate​(int parameterIndex, Date x, Calendar cal)`
Sets the designated parameter in this `RowSet` object's command with the given `java.sql.Date` value.
`void`
RowSet.`setDate​(String parameterName, Date x)`
Sets the designated parameter to the given `java.sql.Date` value using the default time zone of the virtual machine that is running the application.
`void`
RowSet.`setDate​(String parameterName, Date x, Calendar cal)`
Sets the designated parameter to the given `java.sql.Date` value, using the given `Calendar` object.

## Uses of Date in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Date
Modifier and Type
Method
Description
`void`
BaseRowSet.`setDate​(int parameterIndex, Date x)`
Sets the designated parameter to the given `java.sql.Date` value.
`void`
BaseRowSet.`setDate​(int parameterIndex, Date x, Calendar cal)`
Sets the designated parameter to the given `java.sql.Date` object.
`void`
BaseRowSet.`setDate​(String parameterName, Date x)`
Sets the designated parameter to the given `java.sql.Date` value using the default time zone of the virtual machine that is running the application.
`void`
BaseRowSet.`setDate​(String parameterName, Date x, Calendar cal)`
Sets the designated parameter to the given `java.sql.Date` value, using the given `Calendar` object.

## Uses of Date in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return Date
Modifier and Type
Method
Description
`Date`
SQLInputImpl.`readDate()`
Retrieves the next attribute in this `SQLInputImpl` as a `java.sql.Date` object.
Methods in javax.sql.rowset.serial with parameters of type Date
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeDate​(Date x)`
Writes a `java.sql.Date` object in the Java programming language to this `SQLOutputImpl` object.